Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui
Class UIProperty

    java.lang.Object
      de.grogra.pf.ui.UIProperty

    public class UIProperty

extends java.lang.Object

Field Summary
`static UIProperty` | `ICON`
`static int` | `PANEL`
`static UIProperty` | `PANEL_TITLE`
`static int` | `WINDOW`
`static UIProperty` | `WINDOW_LAYOUT`
`static int` | `WORKBENCH`
`static UIProperty` | `WORKBENCH_SELECTION`
`static UIProperty` | `WORKBENCH_TITLE`

Constructor Summary
`protected` | `UIProperty(java.lang.String name, int source)`
`protected` | `UIProperty(java.lang.String name, int source, boolean postEvent)`

Method Summary
`void` | `addPropertyListener(Context context, EventListener listener)`
`void` | `firePropertyChange(Context ctx, java.lang.Object oldValue, java.lang.Object newValue, java.lang.Object info)`
`static UIProperty` | `get(java.lang.String name, java.lang.String declaringClass, java.lang.ClassLoader loader)`
`java.lang.String` | `getName()`
`static UIProperty` | `getOrCreate(java.lang.String name, int source)`
`Context` | `getSource(Context context)`
`static int` | `getSource(java.lang.String source)`
`java.lang.Object` | `getValue(Context context)`
`protected java.lang.Object` | `initialValue(Context context)`
`void` | `removePropertyListener(Context context, EventListener listener)`
`void` | `setValue(Context context, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ICON

    public static final UIProperty ICON

### PANEL

    public static final int PANEL

See Also:
  Constant Field Values

### PANEL_TITLE

    public static final UIProperty PANEL_TITLE

### WINDOW

    public static final int WINDOW

See Also:
  Constant Field Values

### WINDOW_LAYOUT

    public static final UIProperty WINDOW_LAYOUT

### WORKBENCH

    public static final int WORKBENCH

See Also:
  Constant Field Values

### WORKBENCH_SELECTION

    public static final UIProperty WORKBENCH_SELECTION

### WORKBENCH_TITLE

    public static final UIProperty WORKBENCH_TITLE

Constructor Detail

### UIProperty

    protected UIProperty(java.lang.String name,
                         int source)

### UIProperty

    protected UIProperty(java.lang.String name,
                         int source,
                         boolean postEvent)

Method Detail

### addPropertyListener

    public void addPropertyListener(Context context,
                                    EventListener listener)

### firePropertyChange

    public void firePropertyChange(Context ctx,
                                   java.lang.Object oldValue,
                                   java.lang.Object newValue,
                                   java.lang.Object info)

### get

    public static UIProperty get(java.lang.String name,
                                 java.lang.String declaringClass,
                                 java.lang.ClassLoader loader)

### getName

    public java.lang.String getName()

### getOrCreate

    public static UIProperty getOrCreate(java.lang.String name,
                                         int source)

### getSource

    public Context getSource(Context context)

### getSource

    public static int getSource(java.lang.String source)

### getValue

    public java.lang.Object getValue(Context context)

### initialValue

    protected java.lang.Object initialValue(Context context)

### removePropertyListener

    public void removePropertyListener(Context context,
                                       EventListener listener)

### setValue

    public void setValue(Context context,
                         java.lang.Object value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD